# Установка

Установка необходимых пакетов:

```sh
sudo apt-get install zsh antibody
```

Установка желательных пакетов:

```sh
sudo apt-get install keychain peco wmctrl xdotool
```

Клонирование репозитория в каталог `~/.config/zsh`:

```sh
git clone https://git.246060.ru/f1x1t/zshrc ~/.config/zsh
```

Настройка менеджера ключей `keychain`:

```sh
cp ~/.config/zsh/agents.zsh ~/.config/zsh/agents.user.zsh
```

после чего раскомметировать в файле ` ~/.config/zsh/agents.user.zsh` строки
для ssh-агента:

```sh
zstyle :omz:plugins:ssh-agent agent-forwarding on
zstyle :omz:plugins:ssh-agent identities id_rsa
zstyle :omz:plugins:ssh-agent lifetime 10h
antibody bundle ohmyzsh/ohmyzsh path:plugins/ssh-agent
```

С правами суперпользователя открыть файл `/etc/zsh/zshenv`
в редакторе командой

```sh
sudo ${EDITOR:-mcedit} /etc/zsh/zshenv
```

и добавить строку

```sh
export ZDOTDIR=$HOME/.config/zsh
```

Установить интерпретатор Zsh по умолчанию для пользователя `username`.

```sh
sudo usermod -s /usr/bin/zsh username
```

Создать для текущего пользователя файл настройки агента Gnupg:

```sh
mkdir -p ~/.config/gnupg
tee ~/.config/gnupg/gpg-agent.conf >/dev/null <<EOF
default-cache-ttl 36000
max-cache-ttl 999999
enable-ssh-support
enable-putty-support
default-cache-ttl-ssh 36000
allow-loopback-pinentry
pinentry-program /usr/bin/pinentry-qt
EOF
```

Открыть файл `~/.ssh/config` в редакторе командой:

```sh
${EDITOR:-mcedit} ~/.ssh/config
```

и добавить в конец файла правило для разрешения агенту сохранять ключи:

```sh
Host *
  AddKeysToAgent yes
  IdentityFile ~/.ssh/id_rsa
```

